import { FormItem } from "./types";

export function createDefaultData(formItems: FormItem[]) {
  console.log(formItems);
  const data: Record<string, any> = {};
  //创建默认值策略
  for (const item of formItems) {
    switch (item.type) {
      case "checkbox":
      case "array":
      case "img_upload_list":
        data[item.field] = [];
        break;
      case "number":
        data[item.field] = 0;
        break;
      default:
        data[item.field] = "";
        break;
    }
  }

  return data;
}

export function transform(
  formItems: FormItem[],
  data: Record<string, any>,
  transform?: Record<string, any>
) {
  const detail: Record<string, any> = {};

  for (let i = 0; i < formItems.length; i++) {
    let target = "";
    const { field: source, type } = formItems[i];
    console.log(data);
    console.log(source);
    console.log(type);

    target = transform && transform[source] ? transform[source] : source;
    console.log(data[target]);

    detail[source] = data[target];
  }

  return detail;
}
