import { ModalConfig } from "/@/components/PageModal/src/types";
import { isLicense } from "/@/utils/validate";

const modalConfig: ModalConfig = {
  title: "账号",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "invoice_mobile",
  formItems: [
    {
      field: "username",
      type: "input",
      label: "账号",
      labelWidth: "120px",
      placeholder: "账号",
      rules: [{ required: true, trigger: "change", message: "请输入账号" }]
    },
    //密码
    //有效期
    {
      field: "date_picker",
      type: "date_picker",
      label: "有效期",
      labelWidth: "120px",
      otherOptions: {
        type: "daterange",
        startProp: "starttime",
        endProp: "expiretime",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      },
      rules: [{ required: true, trigger: "change", message: "请输入账号" }]
    },

    {
      field: "nickname",
      type: "input",
      label: "客户姓名",
      labelWidth: "120px",
      placeholder: "客户姓名",
      rules: [{ required: true, trigger: "change", message: "请输入客户姓名" }]
    },
    {
      field: "mobile",
      type: "input",
      label: "手机号",
      labelWidth: "120px",
      placeholder: "手机号",
      rules: [{ required: true, trigger: "change", message: "请输入手机号" }]
    },
    {
      field: "remark",
      type: "input",
      label: "备注",
      labelWidth: "120px",
      placeholder: "备注",
      rules: [{ required: true, trigger: "change", message: "请输入备注" }]
    }
    // {
    //   field: "invoice_addr",
    //   type: "input",
    //   labelWidth: "120px",
    //   label: "有效期",
    //   placeholder: "有效期",
    //   rules: [{ required: true, trigger: "change", message: "请选择有效期" }]
    // },
    // {
    //   field: "invoice_code",
    //   type: "input",
    //   labelWidth: "120px",
    //   label: "纳税识别号",
    //   placeholder: "纳税识别号",
    //   rules: [
    //     {
    //       validator(_, value) {
    //         return isLicense(value);
    //       },
    //       required: true,
    //       message: "纳税人识别号格式不正确"
    //     }
    //   ]
    // },
    // {
    //   field: "invoice_bank",
    //   type: "input",
    //   labelWidth: "120px",
    //   label: "企业开户银行",
    //   placeholder: "企业开户银行",
    //   rules: [
    //     { required: true, trigger: "change", message: "请输入企业开户银行" }
    //   ]
    // },
    // {
    //   field: "invoice_bankNo",
    //   type: "input",
    //   labelWidth: "120px",
    //   label: "银行账户",
    //   placeholder: "银行账户",
    //   rules: [{ required: true, trigger: "change", message: "请输入银行账户" }]
    // },
    // {
    //   field: "invoice_mobile",
    //   type: "contact",
    //   label: "企业联系方式",
    //   labelWidth: "120px",
    //   placeholder: "企业联系方式",
    //   rules: [
    //     { required: true, trigger: "change", message: "请输入企业联系方式" }
    //   ]
    // }
  ]
};

export default modalConfig;
