import { ModalConfig } from "/@/components/PageModal/src/types";
import { httpList as httpCompanylist } from "/@/api/parameter/company";
import { httpList as httpCardlist } from "/@/api/parameter/card";
const modalConfig: ModalConfig = {
  title: "企业商品",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "setService",
  labelWidth: "85px",
  formItems: [
    {
      field: "name",
      type: "remote-select",
      label: "业务企业",
      placeholder: "业务企业",
      otherOptions: {
        api: httpCompanylist,
        responseLabelProp: "title",
        responseValPro: "id",
        requesetProp: "",
        isRoot: false,
        prop: "list"
      },
      span: 24,
      rules: [{ required: true, trigger: "change", message: "请选择业务企业" }]
    },
    {
      field: "name2",
      type: "remote-select",
      label: "卡类型",
      placeholder: "卡类型",
      otherOptions: {
        api: httpCardlist,
        responseLabelProp: "title",
        responseValPro: "id",
        requesetProp: "",
        isRoot: false,
        prop: "list"
      },
      span: 24,
      rules: [{ required: true, trigger: "change", message: "请选择卡类型" }]
    },
    {
      field: "title",
      type: "input",
      label: "服务名称",
      placeholder: "服务名称",
      span: 24,
      rules: [{ required: true, trigger: "bulr", message: "请输入服务名称" }]
    },
    {
      field: "title",
      type: "number",
      label: "原价",
      placeholder: "原价",
      span: 8,
      rules: [{ required: true, trigger: "bulr", message: "请输入原价" }]
    },
    {
      field: "title1",
      type: "number",
      label: "活动价",
      placeholder: "活动价",
      span: 8,
      rules: [{ required: true, trigger: "bulr", message: "请输入原价" }]
    },
    {
      field: "title1",
      type: "number",
      label: "到期时间",
      placeholder: "到期时间",
      span: 8,
      rules: [{ required: true, trigger: "change", message: "请选择到期时间" }]
    },
    {
      field: "title2",
      type: "date_picker",
      label: "活动时间",
      placeholder: "活动时间",
      span: 8,
      rules: [{ required: true, trigger: "change", message: "请选择到期时间" }]
    }
  ]
};

export default modalConfig;
